# $Id: sound-scripts.spec,v 1.3 2003/10/08 15:04:10 ldv Exp $

Name: sound-scripts
Version: 0.41
Release: alt4

Epoch: 20050704

Summary: The system sound initialization scripts
License: GPL
Group: System/Base
Packager: Michael Shigorin <mike@altlinux.ru>

Source: %name-%version.tar.gz
Patch0: %name-%version-no2.6.patch

Requires(post): %post_service
Requires(preun): %preun_service
PreReq: chkconfig
Requires: aumix-minimal
Conflicts: initscripts < 1:5.49.1-alt1
Obsoletes: rhsound

BuildArch: noarch

%description
The %name package contains the basic system scripts used to
setup sound devices.

%prep
%setup -q
%patch0 -p0

%install
%__install -pD -m755 sound $RPM_BUILD_ROOT%_initdir/sound

%post
%post_service sound

%preun
%preun_service sound

%triggerpostun -- initscripts < 1:5.49.1-alt1
/sbin/chkconfig --add sound

%files
%config %_initdir/sound
%doc TODO*

%changelog
* Mon Jul 04 2005 Anton D. Kachalov <mouse@altlinux.org> 20050704:0.41-alt4
- rebuild with fixed Epoch

* Wed Jul 14 2004 Anton Farygin <rider@altlinux.ru> 20040714:0.41-alt3
- sound scripts disabled for kernel 2.6 (all functions moved to hotplug)

* Wed Jan 21 2004 Michael Shigorin <mike@altlinux.ru> 20040121:0.41-alt2
- added BuildArch: noarch (#3347)
- added Epoch: so that this would override 0.5x

* Thu Nov 27 2003 Michael Shigorin <mike@altlinux.ru> 0.41-alt1
- fixed implicit call of alsactl; should fix some perceived problems
  with resulting alsa-utils dependency (to be handled in alsa drivers
  package also)

* Mon Nov 24 2003 Michael Shigorin <mike@altlinux.ru> 0.4-alt1
- major rewrite of fix_alsa_levels() by Sergey Vlasov (vsu@) -- 
  major thanks to him!

* Sun Nov 23 2003 Michael Shigorin <mike@altlinux.ru> 0.31-alt1
- added cosmetic fix for possibly duplicate module names;
  thanks to Andrey Rahmatullin (wrar@) for pointing out an issue
  and Sergey Vlasov (vsu@) for not letting me to revert #1802 fix

* Sat Nov 22 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt1
- fixed stupid regex-family-related bug (didn't port PCREs to sed);
  thanks Alex Yustasov <snmon server by> for both finding and fixing it!

* Wed Nov 12 2003 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- fixed #1049, #1711 -- introduced initial specific ALSA support
  (modified patch by Dmitry Vukolov <dvukol rosmail ru>):
  * alsactl save/restore;
  * if /etc/asound.state is absent, initialize the mixer with
    non-zero values and unmuted channels.
- added TODO

* Wed Oct 08 2003 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt1
- Enhanced aumix support.

* Mon Apr 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.1-alt1
- Removed all but sound scripts and packaged them separately.

* Sat Apr 19 2003 Dmitry V. Levin <ldv@altlinux.org> 5.49-ipl54mdk
- %_initdir/sound: don't sort aliases in LoadModule (#0001802).
- %_initdir/clock: test $HWCLOCK_ADJUST also for "true" value (#0002351).
- %_initdir/functions:
  + fixed check logic in daemon() a bit (#0002407).
  + fixed return code in killproc() (#0002412).
- %_initdir/outformat: check argumnets being passed to tput (#0002450).
- /etc/sysctl.conf:
  + set "net.ipv4.icmp_echo_ignore_broadcasts = 1" by default (#0002472);
  + added comments from Owl's sysctl.conf file.
- usernetctl: support variable definitions quoted with single quotes.
